NewWacht Bench is live — AI-assisted development for Wacht

Search Actor Project Threads

GET
/ai/actor-project-threads/search

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Query Parameters

actor_id*integer
q?string
limit?integer
cursor?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/ai/actor-project-threads/search?actor_id=0"
{
  "data": [
    {
      "id": "string",
      "deployment_id": "string",
      "actor_id": "string",
      "project_id": "string",
      "title": "string",
      "thread_kind": "string",
      "thread_visibility": "string",
      "thread_purpose": "string",
      "responsibility": "string",
      "reusable": true,
      "accepts_assignments": true,
      "capability_tags": [
        "string"
      ],
      "status": "string",
      "system_instructions": "string",
      "last_activity_at": "2019-08-24T14:15:22Z",
      "completed_at": "2019-08-24T14:15:22Z",
      "execution_state": null,
      "next_event_sequence": 0,
      "metadata": null,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "archived_at": "2019-08-24T14:15:22Z",
      "state_version": "string"
    }
  ],
  "limit": 0,
  "has_more": true,
  "next_cursor": "string"
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}